Bug 141573 - unhandled exception intf.run dispatch.gotoNext()
unhandled exception intf.run dispatch.gotoNext()
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2004-12-02 02:54 EST by Jim Tittsler
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-01 22:22:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jim Tittsler 2004-12-02 02:54:39 EST
Description of problem:

attempting to upgrade from RH8.0 to FC3 in text (nofb) mode yields an
"Exception Occurred" dialog box:

An unhandled exception has occurred.  This is most likely a bug. 
Please copy the full text of this exception and file a detailed bug
report against anaconda at http://bugzilla.redhat.com/bugzilla/

Traceback (most recent call last):
  File "/usr/bin/anaconda", line 1165, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/src/build/475969-i386/install//usr/lib/anaconda/text.py"
    line 507, in run dispatch.gotoNext()

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Jeremy Katz 2004-12-02 13:38:00 EST
Can you please provide the complete traceback that you received.
Comment 2 Jim Tittsler 2004-12-21 00:19:33 EST
Sorry, I thought that was the complete traceback... but behind the
Debug button I found:

Traceback (most recent call last):
  File "/usr/bin/anaconda", line 1165, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/src/build/475969-i386/install//usr/lib/anaconda/text.py",
line 507, in run
line 171, in gotoNext
line 239, in moveStep
    rc = apply(func, self.bindArgs(args))
line 901, in doInstall
    syslog.start (instPath, syslogname)
line 65, in start
    self.pid = os.fork ()
OS Error: [Errno 12] Cannot allocate memory

I was trying to update using the text mode installer on a notebook
with 128MB of RAM.  By going to another virtual console I was able to
mount another partition and add a swapfile which allowed me to get
past this point.  (This suggests the memory requirements for text mode
on the web page are optimistic.)
Comment 3 Remko van Eck 2004-12-29 15:07:27 EST
The same problem occurs here.
Updating a Redhat 7.1 system.

The system has 64 MB of Ram and 512 MB swap.
I found some I/O errors on one of the screens.
Mediacheck passed ok.
Comment 4 Remko van Eck 2004-12-30 03:13:31 EST
The original system was a compaq deskpro with a pentium 166 processor.
I tried different a different set of hardware with a different optical
drive and 392 MB of RAM.

The upgrade completed without the problems I had earlier.
Didn't check for the I/O errors I had before on the cdrom drive.
Comment 5 Jeremy Katz 2005-02-01 22:22:07 EST
Requirements for upgrades are higher now.  Will make sure they're bumped for FC4

Note You need to log in before you can comment on or make changes to this bug.